Bug 126521 - OpenSSH GSSAPI Patch fix for wrongly size integers
OpenSSH GSSAPI Patch fix for wrongly size integers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-22 15:16 EDT by Eric Andresen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 11:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix for buffer_get_string() calls with 64bit integer pointers (1.86 KB, patch)
2004-06-22 15:17 EDT, Eric Andresen
no flags Details | Diff

  None (edit)
Description Eric Andresen 2004-06-22 15:16:23 EDT
Description of problem:
  The gssapi patch for OpenSSH had three instances of a call to
buffer_get_string() that used the length_ptr parameter, but passed in
pointers to 64bit integers, though buffer_get_string() used it as a
pointer to a 32bit integer. The result is length being incorrectly set.
The attached patch fixes this by using a local temporary u_int for use
in the calls to buffer_get_string which is then used to assign the
correct values to the 64bit integers.

Version-Release number of selected component (if applicable):
  openssh-3.6.1p2-19gss
Comment 1 Eric Andresen 2004-06-22 15:17:04 EDT
Created attachment 101338 [details]
Fix for buffer_get_string() calls with 64bit integer pointers
Comment 2 Evan Anderson 2004-08-23 15:20:34 EDT
This also affects RHEL 3.

In particular, it becomes impossible to log in to a machine with
openssh-server-3.6.1p2-33.30.1.gss (same as RHEL 3 latest openssh, but
with 'gss' in the name to have gssapi patch applied) when
GSSAPIAuthentication is possible (i.e. server & client have kerberos
ticket/keytab, and GSSAPIAuthentication=yes in configs).

I have filed the RHEL 3 bug as bug #130693, as I believe FC1 may no
longer be under development.
Comment 3 Tomas Mraz 2005-02-08 11:17:34 EST
FC1 is unsupported.

Note You need to log in before you can comment on or make changes to this bug.